UnsignedAppletActionTableModel (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.controlpanel.UnsignedAppletActionTableModel class
Date: 2021-11-09

net.sourceforge.jnlp.controlpanel

## Class UnsignedAppletActionTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - net.sourceforge.jnlp.controlpanel.UnsignedAppletActionTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class UnsignedAppletActionTableModel
      extends javax.swing.table.AbstractTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsignedAppletActionTableModel(net.sourceforge.jnlp.security.appletextendedsecurity.impl.UnsignedAppletActionStorageExtendedImpl back)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow()`
    `void` | `clear()`
    `java.lang.Class<?>` | `getColumnClass(int columnIndex)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int columnIndex)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
    `boolean` | `isCellEditable(int rowIndex, int columnIndex)`
    `void` | `removeRow(int i)`
    `void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsignedAppletActionTableModel

          public UnsignedAppletActionTableModel(net.sourceforge.jnlp.security.appletextendedsecurity.impl.UnsignedAppletActionStorageExtendedImpl back)

  - ### Method Detail

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getColumnName

          public java.lang.String getColumnName(int columnIndex)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int columnIndex)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int rowIndex,
                                        int columnIndex)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int rowIndex,
                                             int columnIndex)

    - #### setValueAt

          public void setValueAt(java.lang.Object aValue,
                                 int rowIndex,
                                 int columnIndex)

      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `javax.swing.table.AbstractTableModel`

    - #### addRow

          public void addRow()

    - #### removeRow

          public void removeRow(int i)

    - #### clear

          public void clear()

Submit a bug or feature